CoCoA-5 - Feature #561

Emacs Ul: unrecognized keywords (ImportByValue...)
19 May 2014 14:52 - John Abbott

Status: Closed Start date: 19 May 2014
Priority: Normal Due date:

Assignee: Anna Maria Bigatti % Done: 100%
Category: EmacsUl Estimated time: 2.00 hours
Target version: CoCoA-5.1.1 Seoul14 Spent time: 1.45 hour
Description

Some C5 keywords are not coloured: e.g. ImportByValue.

Check the Emacs Ul list against the list in the interpreter.

History

#1 - 02 Jul 2014 14:31 - Anna Maria Bigatti
- Assignee set to Anna Maria Bigatti

- % Done changed from 0 to 50

fixed ImportBy.. and also package (lower-case)
major cleaning of keyword strings (so that they almost none is writte twice in cocoab.el)

Added not as a "builtin" (i.e. will be colored like ideal(..), mat(..), )
removed module added submodule

#2 - 01 Sep 2014 15:02 - John Abbott
- Status changed from New to Resolved

- % Done changed from 50 to 60

Everything seems OK to me (after a perfunctory test).
| suggest closing this issue -- if an omission comes to light, we'll just fix it "on the fly".

#3 - 02 Sep 2014 11:21 - John Abbott
- Status changed from Resolved to Closed

- % Done changed from 60 to 100

09 Apr 2024

1/1



http://www.tcpdf.org

